Name:       marathi-typing-booster
Version:    0.9.0
Release:    2%{?dist}
Summary:    Marathi typing booster table for IBus indic table
License:    GPLv3+
Group:      System Environment/Libraries
URL:        https://fedorahosted.org/indic-typing-booster/
Source0:    https://fedorahosted.org/releases/i/n/indic-typing-booster/%{name}-%{version}.tar.gz
Patch1: name.patch
BuildArch:  noarch

Requires:         ibus-indic-table
BuildRequires:    ibus-indic-table

%description
Indic typing booster package contains tables for Marathi language

%package -n %{name}-phonetic
Requires:  ibus-indic-table
Provides: %{name} = %{version}-%{release}
Obsoletes: %{name} < %{version}-%{release}
Summary:   Marathi phonetic typing booster table for ibus indic tables

%description -n %{name}-phonetic
The package contains phonetic tables for marathi language.

%package -n %{name}-inscript
Requires:  ibus-indic-table
Provides: %{name} = %{version}-%{release}
Obsoletes: %{name} <  %{version}-%{release}
Summary:   Marathi inscript typing booster table for ibus indic tables

%description -n %{name}-inscript
The package contains inscript tables for marathi language.

%prep
%setup -q
%patch1 -p1 -b .1-improved-name

%build
%configure \
  --enable-marathi-phonetic \
  --enable-marathi-inscript
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd ${RPM_BUILD_ROOT}/%{_datadir}/ibus-indic-table/indic-tables/
%{_bindir}/ibus-indic-table-createdb -i -n marathi-phonetic.db
%{_bindir}/ibus-indic-table-createdb -i -n marathi-inscript.db


%files -n %{name}-phonetic
%doc AUTHORS COPYING README ChangeLog HOWTO
%{_datadir}/ibus-indic-table/icons/marathi.svg
%{_datadir}/ibus-indic-table/indic-tables/marathi-phonetic.db

%files -n %{name}-inscript
%doc AUTHORS COPYING README ChangeLog HOWTO
%{_datadir}/ibus-indic-table/icons/marathi.svg
%{_datadir}/ibus-indic-table/indic-tables/marathi-inscript.db



%changelog
* Wed Jan 04 2012 Pravin Satpute <psatpute@redhat.com> - 0.9.0-2
- Improved name

* Tue Jan 03 2012 Pravin Satpute <psatpute@redhat.com> - 0.9.0-1
- Upstream 0.9.0 release

* Fri Dec 23 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-9
- Resolved bug 770059, added help contents

* Mon Oct 24 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-8
- Subpackaging, since user will not required both db at same time

* Mon Oct 24 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-7
- Resolved bug 748349, added zero numeral

* Mon Oct 24 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-6
- Resolved bug 748349, numerals support in inscript and phonetic

* Mon Oct 03 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-5
- Resolved bug #742861

* Wed Aug 05 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-4
- improved freq of basic characters

* Tue Aug 02 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-3
- corrected dny key

* Mon Jul 04 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-2
- Resolved bug 718626

* Fri Mar 11 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-1
- The first version.
- Added Marathi Phonetic
- Added Marathi Inscript
